# addon.installfiles Installs a set of files for an addon
Usage
    addon.installfiles <id> <target> [files]
Description
Installs the [files] for the addon identified by the specified <id>. The files will be automatically removed when the addon is uninstalled. <target> is the target path inside the local kvirc directory. The following standard paths should be used: "pics" for image files. "locale" for translation *.mo files. "audio" for sound files. "config" for configuration files. Other target paths are allowed and subdirectories are supported (eg. "pics/myaddon"). [files] is a list of filenames or directory names. Each file will be copied to the specified target path in the local kvirc directory. Filenames can contain wildcard characters in the last component.
Switches
-q | --quiet
Makes the command run quietly
-s | --skip-inexisting
Skip inexisting entries in the [files] list
Syntax Specification
    addon.installfiles <id:string> <target:string> [files]
See also
addon.register addon.uninstall

Index, Commands

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011